function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import Block from '../block/block.js';
// Captions - aka Caption, CaptionLabel
export var Caption1 = function Caption1(props) {
  return React.createElement(Block, _extends({
    font: "font200",
    color: "colorSecondary"
  }, props));
};
export var Caption2 = function Caption2(props) {
  return React.createElement(Block, _extends({
    font: "font250",
    color: "colorSecondary"
  }, props));
}; // Display

export var Display = function Display(props) {
  return React.createElement(Block, _extends({
    font: "font1100",
    color: "colorPrimary"
  }, props));
}; // Headings

export function H1(props) {
  var as = props.as || 'h1';
  return React.createElement(Block, _extends({
    as: as,
    font: "font1000",
    color: "colorPrimary"
  }, props));
}
export function H2(props) {
  var as = props.as || 'h2';
  return React.createElement(Block, _extends({
    as: as,
    font: "font900",
    color: "colorPrimary"
  }, props));
}
export function H3(props) {
  var as = props.as || 'h3';
  return React.createElement(Block, _extends({
    as: as,
    font: "font800",
    color: "colorPrimary"
  }, props));
}
export function H4(props) {
  var as = props.as || 'h4';
  return React.createElement(Block, _extends({
    as: as,
    font: "font700",
    color: "colorPrimary"
  }, props));
}
export function H5(props) {
  var as = props.as || 'h5';
  return React.createElement(Block, _extends({
    as: as,
    font: "font600",
    color: "colorPrimary"
  }, props));
}
export function H6(props) {
  var as = props.as || 'h6';
  return React.createElement(Block, _extends({
    as: as,
    font: "font500",
    color: "colorPrimary"
  }, props));
} // Labels - aka Label1, Label2

export var Label1 = function Label1(props) {
  return React.createElement(Block, _extends({
    font: "font350",
    color: "colorPrimary"
  }, props));
};
export var Label2 = function Label2(props) {
  return React.createElement(Block, _extends({
    font: "font450",
    color: "colorPrimary"
  }, props));
}; // Paragraphs - Paragraph1, Paragraph2

export function Paragraph1(props) {
  var as = props.as || 'p';
  return React.createElement(Block, _extends({
    as: as,
    font: "font300",
    color: "colorPrimary"
  }, props));
}
export function Paragraph2(props) {
  var as = props.as || 'p';
  return React.createElement(Block, _extends({
    as: as,
    font: "font400",
    color: "colorPrimary"
  }, props));
}